import { binding, given } from 'cucumber-tsflow';

import { BaseStep } from '../common/BaseStep';
import { HomePage } from '../pages/HomePage';

@binding([HomePage])
export class HomePageSteps extends BaseStep {
	public constructor(public readonly homePage: HomePage) {
		super();
	}

	@given(/i visit home page/)
	public async givenIamOnHomePage() {
		await this.driver.get(this.homePage.getPageUrl());
	}
}
